#ifndef MLP__H
#define MLP__H

#include <torch/torch.h>

class MLPImpl : public torch::nn::Module
{
  private :

  std::vector<torch::nn::Linear> layers;
  std::vector<torch::nn::Dropout> dropouts;

  public :

  MLPImpl(int inputSize, int outputSize, std::vector<std::pair<int, float>> params);
  torch::Tensor forward(torch::Tensor input);
};
TORCH_MODULE(MLP);

#endif

